﻿local mailicon = "Interface\\AddOns\\Arp_Minimap\\mail"
local lattex = "Interface\\AddOns\\Arp_Minimap\\lattex"
local blankTex = "Interface\\Buttons\\WHITE8x8"
local backdrop = {bgFile = blankTex, edgeFile = blankTex, edgeSize = 1, insets = { left = -1, right = -1, top = -1, bottom = -1}}

---------------------------------------------------------------------------------------------------------------------------
--  Config --  Config --  Config --  Config --  Config --  Config --  Config --  Config --  Config --  Config --  Config --
---------------------------------------------------------------------------------------------------------------------------
	
    -------------
    -- Options --
    -------------
        scale = .72                                           -- Scale
        X = 0                                             -- X pos
        Y = -667                                             -- Y pos
        anchor = "CENTER"                                 -- Anchor
        usezonetext = false                                  -- Use Zonetext
        hidetime = false                                -- Hide Time
	
-------------	
-- Borders --
-------------	
	useborders = true             						-- Enables or disables the white border on the minimap. True/False
	bordersize = 1										-- Border size
	rc = 0												-- Red
	gc = 0												-- Green
	bc = 0												-- Blue
	a = 1												-- Transperancy

    ----------
    -- Font --
    ----------
        font = "Interface\\AddOns\\SharedMedia\\fonts\\DORISPP.ttf"
        timefont = 13                                       -- Clock font size
        timeypos = 9                                      -- Time Y pos
        zonefont = 13                                       -- Zone font size
        zoneypos = -12                                      -- Zone Y pos

-------------
-- Latency --
-------------
	latshow = true										-- show Latency
	latbynum = false									-- use number Latency
	latfont = 13										-- Latency font size
	
------------------------------------------------------------------------------------------------------------------------------------	
-- End Config-- End Config-- End Config-- End Config-- End Config-- End Config-- End Config-- End Config-- End Config-- End Config--
------------------------------------------------------------------------------------------------------------------------------------


-- Code Start --
Minimap:SetMaskTexture('Interface\\Buttons\\WHITE8x8')
Minimap:SetScale(scale)
Minimap:SetFrameStrata("LOW")
Minimap:ClearAllPoints()
Minimap:SetPoint(anchor, UIParent, X, Y)

-- Zone text
if (usezonetext == true) then
	MinimapZoneTextButton:SetParent(Minimap)
	MinimapZoneTextButton:SetPoint('CENTER', Minimap, 'TOP', 8, zoneypos)
	MinimapZoneTextButton:SetFrameStrata('HIGH')
	MinimapZoneText:SetFont(font, zonefont, 'OUTLINE')
	MinimapZoneText:SetJustifyH"CENTER"
else
	MinimapZoneTextButton:Hide()
end

-- Border
if (useborders == true) then
    Minimap:SetBackdrop{edgeFile = 'Interface\\Buttons\\WHITE8x8', edgeSize = bordersize, insets = {left = -bordersize/2, right = -bordersize/2, top = -bordersize/2, bottom = -bordersize/2}}
    Minimap:SetBackdropColor(1, 1, 1, 1)
    Minimap:SetBackdropBorderColor(rc, gc, bc, a)
end

-- Hide Stuff
MinimapBorder:Hide()
MinimapBorderTop:Hide()
MinimapZoomIn:Hide()
MinimapZoomOut:Hide()
MiniMapVoiceChatFrame:Hide()
GameTimeFrame:Hide()
MiniMapTracking:Hide()
MiniMapMailFrame:ClearAllPoints()
MiniMapMailFrame:SetScale(0.9)
MiniMapMailIcon:SetTexture(mailicon)
MiniMapMailBorder:Hide()
MinimapNorthTag:SetAlpha(0)


WorldMapFrame:HookScript("OnHide",SetMapToCurrentZone);
MiniMapWorldMapButton:Hide()

-- QueueStatus: Raid, Battelfield, 
QueueStatusMinimapButton:ClearAllPoints()
QueueStatusMinimapButton:SetPoint("BOTTOMLEFT", Minimap, 0, 0)

-- Difficulty 
local iconScale = 0.9
if (usezonetext == true) then
	iconScale = 0.6
end

GuildInstanceDifficulty:SetParent(Minimap)
GuildInstanceDifficulty:ClearAllPoints() 
GuildInstanceDifficulty:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 2, -2)
GuildInstanceDifficulty:SetScale(iconScale)

MiniMapInstanceDifficulty:SetParent(Minimap)
MiniMapInstanceDifficulty:ClearAllPoints()
MiniMapInstanceDifficulty:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 2, -2)
MiniMapInstanceDifficulty:SetScale(iconScale)

MiniMapChallengeMode:SetParent(Minimap)
MiniMapChallengeMode:ClearAllPoints()
MiniMapChallengeMode:SetPoint("TOPLEFT", Minimap, "TOPLEFT", -2, -2)
MiniMapChallengeMode:SetScale(iconScale)

-- Default LFG icon
LFG_EYE_TEXTURES.raid = LFG_EYE_TEXTURES.default
LFG_EYE_TEXTURES.unknown = LFG_EYE_TEXTURES.default


-- Time
if (hidetime == true) then
	local f = CreateFrame("Frame", nil, UIParent)
	f:RegisterEvent("ADDON_LOADED")
	f:SetScript("OnEvent", function(self, event, name)
		if name == "Blizzard_TimeManager" then
			TimeManagerClockButton:Hide()
			TimeManagerClockButton:SetScript("OnShow", function(self)
				TimeManagerClockButton:Hide()
			end)
		end
	end)
else

	LoadAddOn('Blizzard_TimeManager')
	TimeManagerClockButton:SetSize(35,20)
	local clockFrame, clockTime = TimeManagerClockButton:GetRegions()
	clockFrame:Hide()
	clockTime:Show()
	clockTime:SetFont(font, timefont, 'OUTLINE')
    clockTime:SetShadowColor(1,1,1,0)
    clockTime:SetShadowOffset(0,0)
	TimeManagerClockButton:ClearAllPoints()
	TimeManagerClockButton:SetPoint('CENTER', Minimap, 'BOTTOM', 0, timeypos)

	GameTimeFrame:HookScript('OnEvent', function()
		if CalendarGetNumPendingInvites() > 0 then
			clockTime:SetTextColor(0, 1, 0)
		else
			clockTime:SetTextColor(1, 1, 1)
		end
	end)
end

-- Mail
if (usezonetext == true) then
	local clockFrame, clockTime = TimeManagerClockButton:GetRegions()
	MiniMapMailFrame:SetPoint("RIGHT", clockTime, "LEFT", 6, -2.5)
else
	MiniMapMailFrame:SetPoint("TOPRIGHT", Minimap, 4, 3)
end

Minimap:EnableMouseWheel(true)
Minimap:SetScript('OnMouseWheel', function(self, delta)
    if delta > 0 then
        Minimap_ZoomIn()
    else
        Minimap_ZoomOut() 
    end
end)

Minimap:SetScript('OnMouseUp', function(self, button)
    if (button == "RightButton") then
        ToggleDropDownMenu(1, nil, MiniMapTrackingDropDown, self, - (Minimap:GetWidth() * 0.7), -3)
    elseif (button == "MiddleButton") then
        ToggleCalendar()
    else
        Minimap_OnClick(self)
    end
end)

function GetMinimapShape() return 'SQUARE' end

---------------------------------------------------
-- latency icon
---------------------------------------------------
local lattimer = 0
local hlatency,wlatency,_

local function RGBPercToHex(r,g,b)
	r = r <= 1 and r >= 0 and r or 0
	g = g <= 1 and g >= 0 and g or 0
	b = b <= 1 and b >= 0 and b or 0
	return string.format("%02x%02x%02x", r*255, g*255, b*255)
end

local latcfg = {
	color = {
		["low"]  = RGBPercToHex(0,0.8,0),
		["mid"]  = RGBPercToHex(0.8,0.8,0),
		["high"] = RGBPercToHex(0.8,0,0)
	},
	coords = {
		["low"]  = {0, 14/64, 0, 14/16},
		["mid"]  = {14/64, 28/64, 0, 14/16},
		["high"] = {28/64, 42/64, 0, 14/16}
	}
}
local function getLatLevel(wlatency)
	if wlatency <= 125 then
		return "low"
	elseif wlatency <= 300 then
		return "mid"
	else
		return "high"
	end
end

local function InitLatencyModule()
	local f = CreateFrame("Frame", "latency", Minimap)
	f:SetSize(14,14)
	f:ClearAllPoints()
	f:SetPoint("BOTTOMRIGHT", Minimap, "BOTTOMRIGHT", -5, 5)

	local lat
	if latbynum then
		lat = f:CreateFontString("latencyText")
		lat:ClearAllPoints()
		lat:SetPoint("RIGHT", f, 1, -2)
		lat:SetFont(font, latfont, 'OUTLINE')
		lat:SetJustifyH"RIGHT"
	else
		lat = f:CreateTexture("latTexure","BACKGROUND",nil,nil)
        lat:SetTexture(lattex)
		lat:SetPoint("RIGHT")
		lat:SetSize(14,14)
	end

	f:SetScript("OnUpdate", function(self, elapsed)
		lattimer = lattimer + elapsed
		if lattimer >= 1 then
			_,_,hlatency,wlatency = GetNetStats()
			if latbynum then
				lat:SetText("|cff"..latcfg.color[getLatLevel(wlatency)]..wlatency.."ms")
			else
				lat:SetTexCoord(unpack(latcfg.coords[getLatLevel(wlatency)]))
			end
			lattimer = 0
		end
	end)

	--tooltips
	local tt = GameTooltip
	f:SetScript("OnEnter", function(self)
			tt:SetOwner(self, "ANCHOR_TOPRIGHT")
			tt:AddLine("Latency Stats")
			tt:AddDoubleLine("UI latency:", hlatency.." ms", 1,1,1,1,1,1)
			tt:AddDoubleLine("World latency:", wlatency.." ms", 1,1,1,1,1,1)
			tt:Show()
		end)
	f:SetScript("OnLeave", function() tt:Hide() end)
end

if latshow then
	InitLatencyModule()
end

---------------------------------------------------
-- feature buttons for other addons
---------------------------------------------------
local Recount = _G["Recount"]
local buttonsInfo = {
	{
		name	= "MinimapButton",
		timer	= 0,
		isEnter = false,
		isLoad  = function()
					return true
				  end,
		isShow  = function()
					return Minimap:IsShown()
				  end,
		tipText = function()
					if Minimap:IsShown() then
						return "Hide Minimap"
					else
						return "Show Minimap"
					end
				  end,
		onClick = function()
					if Minimap:IsShown() then
						Minimap:Hide()
					else
						Minimap:Show()
					end
				  end
	},
	{
		name	= "RecountButton",
		timer	= 0,
		isEnter = false,
		isLoad  = function()
					return IsAddOnLoaded("Recount")
				  end,
		isShow  = function()
					return Recount.MainWindow:IsShown()
				  end,
		tipText = function()
					if Recount.MainWindow:IsShown() then
						return "Hide Recount"
					else
						return "Show Recount"
					end
				  end,
		onClick = function()
					if Recount.MainWindow:IsShown() then
						Recount.MainWindow:Hide()
					else
						Recount.MainWindow:Show()
						Recount:RefreshMainWindow()
					end
				  end
	},
}

local function getButtonCount()
	local count = 0
	for _,btnInfo in pairs(buttonsInfo) do
		if btnInfo.isLoad() then
			count = count + 1
		end
	end
	return count
end

local function InitFeatureButtons()

	local btnCount = getButtonCount()

	local btnWidth = 6
	local btnHeight = Minimap:GetHeight() / btnCount
	local btnypos = 0

	for i,btnInfo in pairs(buttonsInfo) do

		if btnInfo.isLoad() then
			
			local Button = CreateFrame("Button", btnInfo.name, UIParent)
			Button:SetParent(UIParent)
			Button:ClearAllPoints()
			local yofs = i > 1 and 1 or 0
			Button:SetPoint("TOPLEFT", Minimap, "TOPRIGHT", 0, btnypos + yofs)
			Button:SetSize(btnWidth, btnHeight + yofs)
			Button:SetFrameStrata("BACKGROUND")
			Button:SetBackdrop(backdrop)
			Button:SetBackdropBorderColor(rc,gc,bc,a)

			local function setColor()
				if btnInfo.isEnter then
					Button:SetAlpha(0)
					Button:SetBackdropColor(0.8,0,0,0.6)
				else
					if btnInfo.isShow() then
						Button:SetAlpha(0)
						Button:SetBackdropColor(0,0,0,0)
					else
						Button:SetAlpha(0)
						Button:SetBackdropColor(1,0,0,1)
					end
				end
			end
			setColor()

			--tooltips
			local tt = GameTooltip
			Button:SetScript("OnEnter", function(self)
					btnInfo.isEnter = true
					setColor()

					tt:SetOwner(self, "ANCHOR_TOPRIGHT")
					tt:AddLine(btnInfo.tipText())
					tt:Show()
				end)
			Button:SetScript("OnLeave", function(self)
					btnInfo.isEnter = false
					setColor()

					tt:Hide()
				end)

			--click
			Button:SetScript("OnClick", function(self)
					btnInfo.onClick()

					setColor()

					tt:ClearLines()
					tt:AddLine(btnInfo.tipText())
				end)

			--update
			Button:SetScript("OnUpdate", function(self, elapsed)
				btnInfo.timer = btnInfo.timer + elapsed
				if btnInfo.timer >= 1 then

					setColor()

					btnInfo.timer = 0
				end
			end)


			btnypos = btnypos - btnHeight
		end
	end
end

InitFeatureButtons()